Ubuntu 9.10 - swiftiply failed to install

7 views
Skip to first unread message

maddin

unread,
Mar 26, 2010, 3:28:21 AM3/26/10
to deprec - deployment recipes for capistrano
Hi there,

this is my first post in this group, so welcome :) I have a problem
with the swiftiply gem. I have a fresh an clean Ubuntu 9.10 running
and called cap deprec:rails:install_stack. Everything worked fine
except installation of the swiftiply gem.

The error was:

mapper.cpp: In constructor ‘Mapper_t::Mapper_t(const std::string&)’:
mapper.cpp:53: error: ‘strerror’ was not declared in this scope
mapper.cpp:57: error: ‘strerror’ was not declared in this scope
mapper.cpp:62: error: ‘strerror’ was not declared in this scope
make: *** [mapper.o] Fehler 1

I found a solution in Kevin's Blog (http://blog.kevinmtrowbridge.com/?
p=115) and I could install the gem manually. So when I call "gem list"
the swiftiply appears in the list of installed gems.

But when I then try to run "cap deprec:rails:install_stack" again,
deprec tries to reinstall swiftiply and it will fail again.

Any suggestions how I can tell deprec to not install already installed
gems?

Thanks for every answer!

Martin

Reply all
Reply to author
Forward
0 new messages